var express = require('express');
var cookie  = require('cookie-parser')
var crypto = require('crypto');

var app = express();
app.use(cookie());

app.get('/', function(req, res){
    var counter = parseInt(req.cookies.counter) || 0;
    res.cookie('counter', counter + 1);
    if (counter >= 5) {
	res.write('You are a valued customer ' + 
		  'visting the site ' + counter + ' times.');
    } else {
	res.write('This is visit number '+ counter +'!');
    }
    res.end();
});

// starting the server
app.listen(8000);
console.log("Server running at http://127.0.0.1:8000/");
